%global dlrn_nvr ironic-16.0.4.dev3-0.20210203051223.7d74ea0
%global dlrn 1
%define upstream_version 16.0.4.dev3
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
%global full_release ironic-%{version}

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           openstack-ironic
# Liberty semver reset
# https://review.openstack.org/#/q/I1a161b2c1d1e27268065b6b4be24c8f7a5315afb,n,z
Epoch:          1
Summary:        OpenStack Baremetal Hypervisor API (ironic)
Version: 16.0.4
Release: 0.20210203051223.7d74ea0%{?dist}
License:        ASL 2.0
URL:            http://www.openstack.org
Source0: ironic-16.0.4.dev3-0.20210203051223.7d74ea0.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=99e8fc981056735928443fa572a38a10d07a51ff
#

Source1:        openstack-ironic-api.service
Source2:        openstack-ironic-conductor.service
Source3:        ironic-rootwrap-sudoers
Source4:        ironic-dist.conf
Source5:        ironic.logrotate

BuildArch:      noarch
BuildRequires:  openstack-macros
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  openssl-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  gmp-devel
BuildRequires:  python3-sphinx
BuildRequires:  systemd
# Required to run unit tests
BuildRequires:  python3-alembic
BuildRequires:  python3-automaton
BuildRequires:  python3-cinderclient
BuildRequires:  python3-ddt
BuildRequires:  python3-eventlet
BuildRequires:  python3-futurist
BuildRequires:  python3-glanceclient
BuildRequires:  python3-jinja2
BuildRequires:  python3-jsonpatch
BuildRequires:  python3-jsonschema
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-keystonemiddleware
BuildRequires:  python3-mock
BuildRequires:  python3-neutronclient
BuildRequires:  python3-openstacksdk
BuildRequires:  python3-oslo-concurrency
BuildRequires:  python3-oslo-config
BuildRequires:  python3-oslo-context
BuildRequires:  python3-oslo-db
BuildRequires:  python3-oslo-db-tests
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-messaging
BuildRequires:  python3-oslo-middleware
BuildRequires:  python3-oslo-policy
BuildRequires:  python3-oslo-reports
BuildRequires:  python3-oslo-rootwrap
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-oslo-service
BuildRequires:  python3-oslo-upgradecheck
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-oslo-versionedobjects
BuildRequires:  python3-oslotest
BuildRequires:  python3-osprofiler
BuildRequires:  python3-os-traits
BuildRequires:  python3-pbr
BuildRequires:  python3-pecan
BuildRequires:  python3-psutil
BuildRequires:  python3-pysnmp
BuildRequires:  python3-pytz
BuildRequires:  python3-requests
BuildRequires:  python3-scciclient
BuildRequires:  python3-sqlalchemy
BuildRequires:  python3-stestr
BuildRequires:  python3-stevedore
BuildRequires:  python3-sushy
BuildRequires:  python3-swiftclient
BuildRequires:  python3-testresources
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
BuildRequires:  python3-tooz

BuildRequires:  python3-pysendfile
BuildRequires:  python3-dracclient
BuildRequires:  python3-ironic-lib
BuildRequires:  python3-proliantutils
BuildRequires:  python3-retrying
BuildRequires:  python3-webob

%prep
%setup -q -n ironic-%{upstream_version}
# Let RPM handle the requirements
%py_req_cleanup
# Remove tempest plugin entrypoint as a workaround
sed -i '/tempest/d' setup.cfg
rm -rf ironic_tempest_plugin
%build
%{py3_build}

%install
%{py3_install}

install -p -D -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-ironic

# install systemd scripts
mkdir -p %{buildroot}%{_unitdir}
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}

# install sudoers file
mkdir -p %{buildroot}%{_sysconfdir}/sudoers.d
install -p -D -m 440 %{SOURCE3} %{buildroot}%{_sysconfdir}/sudoers.d/ironic

mkdir -p %{buildroot}%{_sharedstatedir}/ironic/
mkdir -p %{buildroot}%{_localstatedir}/log/ironic/
mkdir -p %{buildroot}%{_sysconfdir}/ironic/rootwrap.d

#Populate the conf dir
export PYTHONPATH=.
oslo-config-generator --config-file tools/config/ironic-config-generator.conf --output-file %{buildroot}/%{_sysconfdir}/ironic/ironic.conf
oslopolicy-sample-generator --config-file tools/policy/ironic-policy-generator.conf --output-file %{buildroot}/%{_sysconfdir}/ironic/policy.json
mv %{buildroot}%{_prefix}/etc/ironic/rootwrap.conf %{buildroot}/%{_sysconfdir}/ironic/rootwrap.conf
mv %{buildroot}%{_prefix}/etc/ironic/rootwrap.d/* %{buildroot}/%{_sysconfdir}/ironic/rootwrap.d/
# Remove duplicate config files under /usr/etc/ironic
rmdir %{buildroot}%{_prefix}/etc/ironic/rootwrap.d
rmdir %{buildroot}%{_prefix}/etc/ironic

# Install distribution config
install -p -D -m 640 %{SOURCE4} %{buildroot}/%{_datadir}/ironic/ironic-dist.conf

%check
#PYTHON=%{__python3} stestr run

%description
Ironic provides an API for management and provisioning of physical machines

%package common
Summary: Ironic common

Requires:   python3-alembic >= 0.9.6
Requires:   python3-automaton >= 1.9.0
Requires:   python3-cinderclient >= 3.3.0
Requires:   python3-eventlet >= 0.18.2
Requires:   python3-futurist >= 1.2.0
Requires:   python3-glanceclient >= 2.8.0
Requires:   python3-ironic-lib >= 4.3.0
Requires:   python3-jinja2 >= 2.10
Requires:   python3-jsonpatch >= 1.16
Requires:   python3-jsonschema >= 2.6.0
Requires:   python3-keystoneauth1 >= 4.2.0
Requires:   python3-keystonemiddleware >= 4.17.0
Requires:   python3-neutronclient >= 6.7.0
Requires:   python3-openstacksdk >= 0.37.0
Requires:   python3-oslo-concurrency >= 4.2.0
Requires:   python3-oslo-config >= 2:5.2.0
Requires:   python3-oslo-context >= 2.19.2
Requires:   python3-oslo-db >= 4.40.0
Requires:   python3-oslo-log >= 3.36.0
Requires:   python3-oslo-messaging >= 5.29.0
Requires:   python3-oslo-middleware >= 3.31.0
Requires:   python3-oslo-policy >= 1.30.0
Requires:   python3-oslo-rootwrap >= 5.8.0
Requires:   python3-oslo-serialization >= 2.18.0
Requires:   python3-oslo-service >= 1.24.0
Requires:   python3-oslo-upgradecheck >= 0.1.0
Requires:   python3-oslo-utils >= 3.38.0
Requires:   python3-oslo-versionedobjects >= 1.31.2
Requires:   python3-osprofiler >= 1.5.0
Requires:   python3-os-traits >= 0.4.0
Requires:   python3-pbr >= 2.0.0
Requires:   python3-pecan >= 1.0.0
Requires:   python3-psutil >= 3.2.2
Requires:   python3-pysendfile >= 2.0.0
Requires:   python3-pytz >= 2013.6
Requires:   python3-requests >= 2.14.2
Requires:   python3-retrying >= 1.2.3
Requires:   python3-rfc3986 >= 0.3.1
Requires:   python3-sqlalchemy >= 1.0.10
Requires:   python3-stevedore >= 1.20.0
Requires:   python3-swiftclient >= 3.2.0
Requires:   python3-tooz >= 2.7.0
Requires:   python3-webob >= 1.7.1

Recommends: ipmitool
Recommends: python3-dracclient >= 3.1.0
Recommends: python3-proliantutils >= 2.9.1
Recommends: python3-pysnmp >= 4.3.0
Recommends: python3-scciclient >= 0.8.0
Recommends: python3-sushy >= 3.2.0

# Optional features
Suggests: python3-oslo-i18n >= 3.15.3
Suggests: python3-oslo-reports >= 1.18.0

Requires(pre):  shadow-utils

%description common
Components common to all OpenStack Ironic services


%files common
%doc README.rst
%license LICENSE
%{_bindir}/ironic-dbsync
%{_bindir}/ironic-rootwrap
%{_bindir}/ironic-status
%{python3_sitelib}/ironic
%{python3_sitelib}/ironic-*.egg-info
%exclude %{python3_sitelib}/ironic/tests
%{_sysconfdir}/sudoers.d/ironic
%config(noreplace) %{_sysconfdir}/logrotate.d/openstack-ironic
%config(noreplace) %attr(-,root,ironic) %{_sysconfdir}/ironic
%attr(-,ironic,ironic) %{_sharedstatedir}/ironic
%attr(0750,ironic,ironic) %{_localstatedir}/log/ironic
%attr(-, root, ironic) %{_datadir}/ironic/ironic-dist.conf
%exclude %{python3_sitelib}/ironic_tests.egg_info

%pre common
getent group ironic >/dev/null || groupadd -r ironic
getent passwd ironic >/dev/null || \
    useradd -r -g ironic -d %{_sharedstatedir}/ironic -s /sbin/nologin \
-c "OpenStack Ironic Daemons" ironic
exit 0

%package api
Summary: The Ironic API

Requires: %{name}-common = %{epoch}:%{version}-%{release}

%if 0%{?rhel} && 0%{?rhel} < 8
%{?systemd_requires}
%else
%{?systemd_ordering} # does not exist on EL7
%endif

%description api
Ironic API for management and provisioning of physical machines


%files api
%{_bindir}/ironic-api
%{_bindir}/ironic-api-wsgi
%{_unitdir}/openstack-ironic-api.service

%post api
%systemd_post openstack-ironic-api.service

%preun api
%systemd_preun openstack-ironic-api.service

%postun api
%systemd_postun_with_restart openstack-ironic-api.service

%package conductor
Summary: The Ironic Conductor

Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires: udev

%if 0%{?rhel} && 0%{?rhel} < 8
%{?systemd_requires}
%else
%{?systemd_ordering} # does not exist on EL7
%endif

%description conductor
Ironic Conductor for management and provisioning of physical machines

%files conductor
%{_bindir}/ironic-conductor
%{_unitdir}/openstack-ironic-conductor.service

%post conductor
%systemd_post openstack-ironic-conductor.service

%preun conductor
%systemd_preun openstack-ironic-conductor.service

%postun conductor
%systemd_postun_with_restart openstack-ironic-conductor.service

%package -n python3-ironic-tests
Summary:        Ironic unit tests
%{?python_provide:%python_provide python3-ironic-tests}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       python3-mock
Requires:       python3-oslotest
Requires:       python3-stestr
Requires:       python3-testresources
Requires:       python3-testscenarios
Requires:       python3-testtools


%description -n python3-ironic-tests
This package contains the Ironic test files.

%files -n python3-ironic-tests
%{python3_sitelib}/ironic/tests

%changelog
* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix supported sushy-oem-idrac version
- Implements: Reactive HUAWEI ibmc driver

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Stop configuring install_command in tox.

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix agent_client handling of embedded errors
- Log when IPA fallback occurs on bootloader install

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- In-band deploy steps: correctly wipe driver_internal_info

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Upgrade flake8-import-order version to 0.17.1

* Sun Apr 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Delay validating deploy templates until we get all steps

* Sun Apr 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Support executing in-band deploy steps

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- DRAC: Added redfish management interface issue

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Implement the bios-interface for idrac-wsman driver

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Restore missing node.save() in agent_base.py

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Improve the command status checks in the agent's process_next_step

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add link to other Redfish parms to iDRAC doc

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix RAID configuration with idrac-wsman interface

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Revert "Generalize ISO building for virtual media driver"

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Prepare release notes/docs for 15.0 release

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Don't use wsme test webapp for patch tests

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Ironic 15.0 prelude
- Add ironic 15.0 release mapping
- Centralise imports of wsme types
- "dual stack" support for PXE/iPXE

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fixes unusable Guru meditation report

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix SpanLength calculation for DRAC RAID configuration

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Update iDRAC doc about soft power off timeout

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Generalize ISO building for virtual media driver

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Release reservation when stoping the ironic-conductor service

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix issue where server fails to reboot

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Update iDRAC doc about vendor passthru timeout
- Update jobs description

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Change [deploy]/default_boot_option to local

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix missing print format in log messages

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Use trailing slash in the agent command URL

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Extend timeout on CI job with automated cleaning
- Software RAID: Pass the boot mode to the IPA

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Improve `redfish` set-boot-device behaviour

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Refactor AgentBase.heartbeat and process_next_step

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove six minions

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add my new address to .mailmap
- [doc] Remove the device selection limitation for Software RAID

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Increase VM RAM value in local.conf example

* Fri Apr 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- [doc] Images need some metadata for software RAID

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Change default ram value
- Support burning configdrive into boot ISO

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Added node multitenancy doc
- Add sushy-cli to client libraries release list

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix AttributeError in check allowed port fields
- Allow INSPECTWAIT state for lookup

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Drop netaddr - use netutils.is_valid_ipv6()

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix gunicorn name on Py3@CentOS7 in devstack
- DRAC: Fix a failure to create virtual disk bug

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Improve `redfish` set-boot-mode implementation

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add node lessee field

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Nodes in maintenance didn't fail, when they should have

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Do not autoescape all Jinja2 templates

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Use auth values from neutron conf when managing Neutron ports

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Change multinode job to voting
- Cleanup Python 2.7 support
- Fetch netmiko session log

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Make oslo.i18n an optional dependency

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Make oslo.reports an optional dependency

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Doc - IPv6 Provisioning
- Additional IP addresses to IPv6 stateful ports
- Add network_type to port local_link_connection
- Make deploy step failure logging indicate the error
- Allow specifying target devices for software RAID

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix the remaining hacking issues

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Bump hacking to 3.0.0

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Default IRONIC_RAMDISK_TYPE to dib

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Extend install_bootloader command timeout

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Document deploy_boot_mode and boot_option for standalone deployments

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove future usage

* Sat Mar 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Generalize clean step functions to support deploy steps
- Raise human-friendly messages on attempt to use pre-deploy steps drivers

* Sat Mar 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Signal agent token is required

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix enabled_hardware_types from idrac-wsman to idrac

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Retry agent get_command_status upon failures

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Document our policies for stable branches

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Hash the rescue_password

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add troubleshooting on IPMI section

* Wed Mar 25 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Rename ironic-tox-unit-with-driver-libs-python3

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- [doc] Add documentation for retirement support

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add info on how to enable ironic-tempest-plugin

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Follow-up releasenote use_secrets

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add indicators REST API endpoints

* Sun Mar 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Do not use random to generate token

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Clean up nits from adding additional node update policies

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Support centos 7 rootwrap data directory
- Refactoring: split out wrap_ipv6
- Refactoring: move iSCSI deploy code to iscsi_deploy.py
- Documentation clarifications for software RAID
- Drop rootwrap.d/ironic-lib.filters file
- Expand user-image doc
- Move ipmi logging to a separate option
- Change readfp to read_file
- Make image_checksum optional if other checksum is present
- Remove compatibility with pre-deploy steps drivers
- Extend power sync timeout for Ericsson SDI
- Skip clean steps from 'fake' interfaces in the documentation
- Send our token back to the agent
- Enable agent_token for virtual media boot
- Add separate policies for updating node instance_info and extra
- Follow up to console port allocation
- Change force_raw_images to use sha256 if md5 is selected
- Make reservation checks caseless
- [doc] Missing --name option
- Bump minimum supported ansible version to 2.7
- Set abstract for ironic-base
- Refactoring: move generic agent clean step functions to agent_base
- Docs: split away user image building and highlight whole disk images
- Redfish: Add root_prefix to Sushy
- Cleanup docs building
- Rename `create_isolinux_image_for_uefi` function as misleading
- Finalize removal of ipxe_enabled option
- Start removing ipxe support from the pxe interface
- Pre-shared agent token
- DRAC: Fix RAID create_config clean step
- Expose allocation owner to additional policy checks
- Project Contributing updates for Goal
- Refactoring: rename agent_base_vendor to agent_base
- Use FIPS-compatible SHA256 for comparing files
- Revert "Move ironic-standalone to non-voting"
- Move ironic-standalone to non-voting
- Make `redfish_system_id` property optional
- Lower tempest concurrency
- Refactoring: finish splitting do_node_deploy
- Fix up release notes for 14.0.0
- Actually use ironic-python-agent from source in source builds
- Update release mappings for Ussuri
- Automatic port allocation for the serial console
- Remove the [pxe]ipxe_enabled configuration option
- tell reno to ignore the kilo branch
- Update API version history for v1.61
- [Trivial] Remove redundant brackets
- Split cleaning-related functions from manager.py into a new module
- Split deployment-related functions from manager.py into a new module
- Disable debug output in doc building
- Fix bash comparisons for grenade multinode switch
- Fix jsonpatch related tests
- Fix ipxe interface to perform ipxe boot without ipxe_enabled enabled
- Fix typo in setup-network.sh script
- Support node retirement
- Make ironic-api compatible with WSGI containers other than mod_wsgi
- Don't require root partition when installing a whole disk image
- Clean up api controller base classes
- Deprecate irmc hardware type
- Subclass wsme.exc.ClientSideError
- Use str type instead of wsme.types.text
- Use bionic job for bifrost integration
- Follow up to root device hints in instance_info
- Deprecate ibmc
- Fix incorrect ibmc_address parsing on Python 3.8
- Fix entry paths for cleaning and deployment
- Fix API docs for target_power_state response
- Document using CentOS 8 DIB IPA images for Ussuri and newer
- Lower RAM for DIB jobs to 2 GiB
- Remove reference to deprecated [disk_utils]iscsi_verify_attempts
- Add node info and exc name when getting rootfs info from Glance
- Fix fast_track + agent_url update fix
- CI: make the metalsmith job voting and gating
- devstack: install bindep for diskimage-builder
- Allow reading root_device from instance_info
- Implement managed in-band inspection boot for ilo-virtual-media
- Add a missing versionadded for configdrive[vendor_data]
- Make qemu hook running with python3
- Refactor glance retry code to use retrying lib
- Fix duplicated words issue like "are are placed"
- devstack: switch to using CentOS 8 DIB ramdisks by default
- Remove the deprecated [glance]glance_num_retries
- Fix missing job_id parameter in the log message
- Fix get_boot_option logic for software raid
- Allow node owners to administer associated ports
- Explicitly use ipxe as boot interface for iPXE testing
- Replace disk-image-create with ironic-python-agent-builder
- Remove those switches for python2.
- Fix invalid assertIsNone statements
- Add librsvg2* to bindep
- Stop using six library
- Add notes on the pxe template for aarch64
- Enforce running tox with correct python version based on env
- Tell the multinode subnode and grenade to use /opt
- Disable automated clean on newer jobs
- Extend service timeout
- Tune down multinode concurrency
- Restrict ability to change owner on provisioned or allocated node
- Correct power state handling for managed in-band inspection
- Implement managed in-band inspection boot for redfish-virtual-media
- redfish-vmedia: correctly pass ipa-debug
- Add a CI job to UEFI boot over Redfish virtual media
- Fix use of urlparse.urljoin
- Import importlib directly
- Increasing BUILD_TIMEOUT value for multinode job
- Remove deprecated ironic-agent element
- Add owner to allocations and create relevant policies
- CI: do not enable rescue on indirect jobs
- Update nova os-server-external-events response logic
- DRAC: Drives conversion from raid to jbod
- Changed to bug fix to follow-on idrac job patch.
- Fixes issue with checking whether ISO is passed
- docs: add a missing heading
- Add a CI job to legacy boot over Redfish virtual media
- Remove references to 'firewall_driver'
- Prevent localhost from being used as ironic-inspector callback URL
- Software RAID: Identify the root fs via its UUID from image metadata
- Add logic to determine Ironic node is HW or not into configure_ironic_dirs

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Refactoring: split out wrap_ipv6
- Refactoring: move iSCSI deploy code to iscsi_deploy.py
- Documentation clarifications for software RAID
- Drop rootwrap.d/ironic-lib.filters file
- Expand user-image doc
- Move ipmi logging to a separate option
- Change readfp to read_file
- Make image_checksum optional if other checksum is present
- Remove compatibility with pre-deploy steps drivers
- Extend power sync timeout for Ericsson SDI
- Skip clean steps from 'fake' interfaces in the documentation
- Send our token back to the agent
- Enable agent_token for virtual media boot
- Add separate policies for updating node instance_info and extra
- Follow up to console port allocation
- Change force_raw_images to use sha256 if md5 is selected
- Make reservation checks caseless
- [doc] Missing --name option
- Bump minimum supported ansible version to 2.7
- Set abstract for ironic-base
- Refactoring: move generic agent clean step functions to agent_base
- Docs: split away user image building and highlight whole disk images
- Redfish: Add root_prefix to Sushy
- Cleanup docs building
- Rename `create_isolinux_image_for_uefi` function as misleading
- Finalize removal of ipxe_enabled option
- Start removing ipxe support from the pxe interface
- Pre-shared agent token
- DRAC: Fix RAID create_config clean step
- Expose allocation owner to additional policy checks
- Project Contributing updates for Goal
- Refactoring: rename agent_base_vendor to agent_base
- Use FIPS-compatible SHA256 for comparing files
- Revert "Move ironic-standalone to non-voting"
- Move ironic-standalone to non-voting
- Make `redfish_system_id` property optional
- Lower tempest concurrency
- Refactoring: finish splitting do_node_deploy
- Fix up release notes for 14.0.0
- Actually use ironic-python-agent from source in source builds
- Update release mappings for Ussuri
- Automatic port allocation for the serial console
- Remove the [pxe]ipxe_enabled configuration option
- tell reno to ignore the kilo branch
- Update API version history for v1.61
- [Trivial] Remove redundant brackets
- Split cleaning-related functions from manager.py into a new module
- Split deployment-related functions from manager.py into a new module
- Disable debug output in doc building
- Fix bash comparisons for grenade multinode switch
- Fix jsonpatch related tests
- Fix ipxe interface to perform ipxe boot without ipxe_enabled enabled
- Fix typo in setup-network.sh script
- Support node retirement
- Make ironic-api compatible with WSGI containers other than mod_wsgi
- Don't require root partition when installing a whole disk image
- Clean up api controller base classes
- Deprecate irmc hardware type
- Subclass wsme.exc.ClientSideError
- Use str type instead of wsme.types.text
- Use bionic job for bifrost integration
- Follow up to root device hints in instance_info
- Deprecate ibmc
- Fix incorrect ibmc_address parsing on Python 3.8
- Fix entry paths for cleaning and deployment
- Fix API docs for target_power_state response
- Document using CentOS 8 DIB IPA images for Ussuri and newer
- Lower RAM for DIB jobs to 2 GiB
- Remove reference to deprecated [disk_utils]iscsi_verify_attempts
- Add node info and exc name when getting rootfs info from Glance
- Fix fast_track + agent_url update fix
- CI: make the metalsmith job voting and gating
- devstack: install bindep for diskimage-builder
- Allow reading root_device from instance_info
- Implement managed in-band inspection boot for ilo-virtual-media
- Add a missing versionadded for configdrive[vendor_data]
- Make qemu hook running with python3
- Refactor glance retry code to use retrying lib
- Fix duplicated words issue like "are are placed"
- devstack: switch to using CentOS 8 DIB ramdisks by default
- Remove the deprecated [glance]glance_num_retries
- Fix missing job_id parameter in the log message
- Fix get_boot_option logic for software raid
- Allow node owners to administer associated ports
- Explicitly use ipxe as boot interface for iPXE testing
- Replace disk-image-create with ironic-python-agent-builder
- Remove those switches for python2.
- Fix invalid assertIsNone statements
- Add librsvg2* to bindep
- Stop using six library
- Add notes on the pxe template for aarch64
- Enforce running tox with correct python version based on env
- Tell the multinode subnode and grenade to use /opt
- Disable automated clean on newer jobs
- Extend service timeout
- Tune down multinode concurrency
- Restrict ability to change owner on provisioned or allocated node
- Correct power state handling for managed in-band inspection
- Implement managed in-band inspection boot for redfish-virtual-media
- redfish-vmedia: correctly pass ipa-debug
- Add a CI job to UEFI boot over Redfish virtual media
- Fix use of urlparse.urljoin
- Import importlib directly
- Increasing BUILD_TIMEOUT value for multinode job
- Remove deprecated ironic-agent element
- Add owner to allocations and create relevant policies
- CI: do not enable rescue on indirect jobs
- Update nova os-server-external-events response logic
- DRAC: Drives conversion from raid to jbod
- Changed to bug fix to follow-on idrac job patch.
- Fixes issue with checking whether ISO is passed
- docs: add a missing heading
- Add a CI job to legacy boot over Redfish virtual media
- Remove references to 'firewall_driver'
- Prevent localhost from being used as ironic-inspector callback URL
- Software RAID: Identify the root fs via its UUID from image metadata
- Add logic to determine Ironic node is HW or not into configure_ironic_dirs
- Refactoring: split out wrap_ipv6
- Refactoring: move iSCSI deploy code to iscsi_deploy.py
- Documentation clarifications for software RAID
- Drop rootwrap.d/ironic-lib.filters file
- Expand user-image doc
- Move ipmi logging to a separate option
- Change readfp to read_file
- Make image_checksum optional if other checksum is present
- Remove compatibility with pre-deploy steps drivers
- Extend power sync timeout for Ericsson SDI
- Skip clean steps from 'fake' interfaces in the documentation
- Send our token back to the agent
- Enable agent_token for virtual media boot
- Add separate policies for updating node instance_info and extra
- Follow up to console port allocation
- Change force_raw_images to use sha256 if md5 is selected
- Make reservation checks caseless
- [doc] Missing --name option
- Bump minimum supported ansible version to 2.7
- Set abstract for ironic-base
- Refactoring: move generic agent clean step functions to agent_base
- Docs: split away user image building and highlight whole disk images
- Redfish: Add root_prefix to Sushy
- Cleanup docs building
- Rename `create_isolinux_image_for_uefi` function as misleading
- Finalize removal of ipxe_enabled option
- Start removing ipxe support from the pxe interface
- Pre-shared agent token
- DRAC: Fix RAID create_config clean step
- Expose allocation owner to additional policy checks
- Project Contributing updates for Goal
- Refactoring: rename agent_base_vendor to agent_base
- Use FIPS-compatible SHA256 for comparing files
- Revert "Move ironic-standalone to non-voting"
- Move ironic-standalone to non-voting
- Make `redfish_system_id` property optional
- Lower tempest concurrency
- Refactoring: finish splitting do_node_deploy
- Fix up release notes for 14.0.0
- Actually use ironic-python-agent from source in source builds
- Update release mappings for Ussuri
- Automatic port allocation for the serial console
- Remove the [pxe]ipxe_enabled configuration option
- tell reno to ignore the kilo branch
- Update API version history for v1.61
- [Trivial] Remove redundant brackets
- Split cleaning-related functions from manager.py into a new module
- Split deployment-related functions from manager.py into a new module
- Disable debug output in doc building
- Fix bash comparisons for grenade multinode switch
- Fix jsonpatch related tests
- Fix ipxe interface to perform ipxe boot without ipxe_enabled enabled
- Fix typo in setup-network.sh script
- Support node retirement
- Make ironic-api compatible with WSGI containers other than mod_wsgi
- Don't require root partition when installing a whole disk image
- Clean up api controller base classes
- Deprecate irmc hardware type
- Subclass wsme.exc.ClientSideError
- Use str type instead of wsme.types.text
- Use bionic job for bifrost integration
- Follow up to root device hints in instance_info
- Deprecate ibmc
- Fix incorrect ibmc_address parsing on Python 3.8
- Fix entry paths for cleaning and deployment
- Fix API docs for target_power_state response
- Document using CentOS 8 DIB IPA images for Ussuri and newer
- Lower RAM for DIB jobs to 2 GiB
- Remove reference to deprecated [disk_utils]iscsi_verify_attempts
- Add node info and exc name when getting rootfs info from Glance
- Fix fast_track + agent_url update fix
- CI: make the metalsmith job voting and gating
- devstack: install bindep for diskimage-builder
- Allow reading root_device from instance_info
- Implement managed in-band inspection boot for ilo-virtual-media
- Add a missing versionadded for configdrive[vendor_data]
- Make qemu hook running with python3
- Refactor glance retry code to use retrying lib
- Fix duplicated words issue like "are are placed"
- devstack: switch to using CentOS 8 DIB ramdisks by default
- Remove the deprecated [glance]glance_num_retries
- Fix missing job_id parameter in the log message
- Fix get_boot_option logic for software raid
- Allow node owners to administer associated ports
- Explicitly use ipxe as boot interface for iPXE testing
- Replace disk-image-create with ironic-python-agent-builder
- Remove those switches for python2.
- Fix invalid assertIsNone statements
- Add librsvg2* to bindep
- Stop using six library
- Add notes on the pxe template for aarch64
- Enforce running tox with correct python version based on env
- Tell the multinode subnode and grenade to use /opt
- Disable automated clean on newer jobs
- Extend service timeout
- Tune down multinode concurrency
- Restrict ability to change owner on provisioned or allocated node
- Correct power state handling for managed in-band inspection
- Implement managed in-band inspection boot for redfish-virtual-media
- redfish-vmedia: correctly pass ipa-debug
- Add a CI job to UEFI boot over Redfish virtual media
- Fix use of urlparse.urljoin
- Import importlib directly
- Increasing BUILD_TIMEOUT value for multinode job
- Remove deprecated ironic-agent element
- Add owner to allocations and create relevant policies
- CI: do not enable rescue on indirect jobs
- Update nova os-server-external-events response logic
- DRAC: Drives conversion from raid to jbod
- Changed to bug fix to follow-on idrac job patch.
- Fixes issue with checking whether ISO is passed
- docs: add a missing heading
- Add a CI job to legacy boot over Redfish virtual media
- Remove references to 'firewall_driver'
- Prevent localhost from being used as ironic-inspector callback URL
- Software RAID: Identify the root fs via its UUID from image metadata
- Add logic to determine Ironic node is HW or not into configure_ironic_dirs

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Refactoring: split out wrap_ipv6

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Documentation clarifications for software RAID

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Refactoring: move iSCSI deploy code to iscsi_deploy.py

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove compatibility with pre-deploy steps drivers

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add separate policies for updating node instance_info and extra

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Drop rootwrap.d/ironic-lib.filters file

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Send our token back to the agent

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Rename `create_isolinux_image_for_uefi` function as misleading

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Expand user-image doc

* Sun Mar 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Enable agent_token for virtual media boot

* Sun Mar 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Move ipmi logging to a separate option
- Change readfp to read_file

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Make image_checksum optional if other checksum is present

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Extend power sync timeout for Ericsson SDI

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Skip clean steps from 'fake' interfaces in the documentation
- Follow up to console port allocation
- Change force_raw_images to use sha256 if md5 is selected
- Make reservation checks caseless
- [doc] Missing --name option
- Bump minimum supported ansible version to 2.7
- Set abstract for ironic-base
- Refactoring: move generic agent clean step functions to agent_base
- Docs: split away user image building and highlight whole disk images
- Redfish: Add root_prefix to Sushy
- Cleanup docs building
- Finalize removal of ipxe_enabled option
- Start removing ipxe support from the pxe interface
- Pre-shared agent token
- DRAC: Fix RAID create_config clean step
- Expose allocation owner to additional policy checks
- Project Contributing updates for Goal
- Refactoring: rename agent_base_vendor to agent_base
- Use FIPS-compatible SHA256 for comparing files
- Revert "Move ironic-standalone to non-voting"
- Move ironic-standalone to non-voting
- Make `redfish_system_id` property optional
- Lower tempest concurrency
- Refactoring: finish splitting do_node_deploy
- Fix up release notes for 14.0.0
- Actually use ironic-python-agent from source in source builds
- Update release mappings for Ussuri
- Automatic port allocation for the serial console
- Remove the [pxe]ipxe_enabled configuration option
- tell reno to ignore the kilo branch
- Update API version history for v1.61
- [Trivial] Remove redundant brackets
- Split cleaning-related functions from manager.py into a new module
- Split deployment-related functions from manager.py into a new module
- Disable debug output in doc building
- Fix bash comparisons for grenade multinode switch
- Fix jsonpatch related tests
- Fix ipxe interface to perform ipxe boot without ipxe_enabled enabled
- Fix typo in setup-network.sh script
- Support node retirement
- Make ironic-api compatible with WSGI containers other than mod_wsgi
- Don't require root partition when installing a whole disk image
- Clean up api controller base classes
- Deprecate irmc hardware type
- Subclass wsme.exc.ClientSideError
- Use str type instead of wsme.types.text
- Use bionic job for bifrost integration
- Follow up to root device hints in instance_info
- Deprecate ibmc
- Fix incorrect ibmc_address parsing on Python 3.8
- Fix entry paths for cleaning and deployment
- Fix API docs for target_power_state response
- Document using CentOS 8 DIB IPA images for Ussuri and newer
- Lower RAM for DIB jobs to 2 GiB
- Remove reference to deprecated [disk_utils]iscsi_verify_attempts
- Add node info and exc name when getting rootfs info from Glance
- Fix fast_track + agent_url update fix
- CI: make the metalsmith job voting and gating
- devstack: install bindep for diskimage-builder
- Allow reading root_device from instance_info
- Implement managed in-band inspection boot for ilo-virtual-media
- Add a missing versionadded for configdrive[vendor_data]
- Make qemu hook running with python3
- Refactor glance retry code to use retrying lib
- Fix duplicated words issue like "are are placed"
- devstack: switch to using CentOS 8 DIB ramdisks by default
- Remove the deprecated [glance]glance_num_retries
- Fix missing job_id parameter in the log message
- Fix get_boot_option logic for software raid
- Allow node owners to administer associated ports
- Explicitly use ipxe as boot interface for iPXE testing
- Replace disk-image-create with ironic-python-agent-builder
- Remove those switches for python2.
- Fix invalid assertIsNone statements
- Add librsvg2* to bindep
- Stop using six library
- Add notes on the pxe template for aarch64
- Enforce running tox with correct python version based on env
- Tell the multinode subnode and grenade to use /opt
- Disable automated clean on newer jobs
- Extend service timeout
- Tune down multinode concurrency
- Restrict ability to change owner on provisioned or allocated node
- Correct power state handling for managed in-band inspection
- Implement managed in-band inspection boot for redfish-virtual-media
- redfish-vmedia: correctly pass ipa-debug
- Add a CI job to UEFI boot over Redfish virtual media
- Fix use of urlparse.urljoin
- Import importlib directly
- Increasing BUILD_TIMEOUT value for multinode job
- Remove deprecated ironic-agent element
- Add owner to allocations and create relevant policies
- CI: do not enable rescue on indirect jobs
- Update nova os-server-external-events response logic
- DRAC: Drives conversion from raid to jbod
- Changed to bug fix to follow-on idrac job patch.
- Fixes issue with checking whether ISO is passed
- docs: add a missing heading
- Add a CI job to legacy boot over Redfish virtual media
- Remove references to 'firewall_driver'
- Prevent localhost from being used as ironic-inspector callback URL
- Software RAID: Identify the root fs via its UUID from image metadata
- Add logic to determine Ironic node is HW or not into configure_ironic_dirs

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Fix UEFI NVRAM collision in devstack"
- Merge "Add an ironic-inspector job with managed boot"
- Fix UEFI NVRAM collision in devstack
- Add an ironic-inspector job with managed boot

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add indicator management to redfish hw type"
- Add indicator management to redfish hw type

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Make redfish CI jobs pulling sushy-tools from git

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add timeout when querying agent's command statuses"
- Merge "Drop python 2.7 support and testing"
- Add timeout when querying agent's command statuses
- Drop python 2.7 support and testing

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Wire in in-band inspection for PXE boot and neutron-based networking"
- Merge "Foundation for boot/network management for in-band inspection"
- Wire in in-band inspection for PXE boot and neutron-based networking
- Foundation for boot/network management for in-band inspection

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add `instance_info/kernel_append_params` to `redfish`"
- Add `instance_info/kernel_append_params` to `redfish`

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Mock out the correct greenthread sleep method"
- Mock out the correct greenthread sleep method

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "docs: update the local development quickstart to use JSON RPC"
- docs: update the local development quickstart to use JSON RPC
- Remove unused migration tests

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Don't install syslinux-nonlinux on rhel7"
- Don't install syslinux-nonlinux on rhel7

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Backward compatibility for the ramdisk_params change"
- Backward compatibility for the ramdisk_params change

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Ensure text-only console in devstack"
- Ensure text-only console in devstack

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Pass correct flags during PXE cleanup in iPXEBoot"
- Pass correct flags during PXE cleanup in iPXEBoot

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Remove old online migration codes"
- Remove old online migration codes

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Drop [agent]heartbeat_timeout"
- Drop [agent]heartbeat_timeout

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Ensure `isolinux.bin` is present and configured in devstack"
- Ensure `isolinux.bin` is present and configured in devstack

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Switch legacy jobs to Py3"
- Switch legacy jobs to Py3

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Stop supporting incompatible heartbeat interfaces"
- Stop supporting incompatible heartbeat interfaces

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Allow node owners to administer nodes"
- Allow node owners to administer nodes

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Block ability update callback_url"
- Block ability update callback_url

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix variable name in cleanup_baremetal_basic_ops func

* Sun Nov 10 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix `snmp` unit test

* Sun Nov 03 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Allow vendor_data to be included in a configdrive dict"
- Allow vendor_data to be included in a configdrive dict

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Correct handling of ramdisk_params in (i)PXE boot"
- Correct handling of ramdisk_params in (i)PXE boot

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Improve iDrac Documentation"
- Improve iDrac Documentation

* Sat Oct 26 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Change integration jobs to run under Python3"
- Change integration jobs to run under Python3

* Sat Oct 26 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Using loop instead of with_X"
- Using loop instead of with_X

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Update release with information about zuul job"
- Merge "CI: add ironic-python-agent-builder to the multinode job"
- CI: add ironic-python-agent-builder to the multinode job
- Update release with information about zuul job

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add virtual media boot section to the docs"
- Add virtual media boot section to the docs

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "CI: limit rescue testing to only two jobs"
- CI: limit rescue testing to only two jobs

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Use new shiny Devices class instead of old ugly Device"
- Use new shiny Devices class instead of old ugly Device

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Switch to ussuri job"
- Switch to ussuri job

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Mask secrets when logging in json_rpc"
- Mask secrets when logging in json_rpc

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "docs: use openstackdocstheme extlink extension"
- docs: use openstackdocstheme extlink extension

* Sat Oct 19 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Do not ignore 'fields' query parameter when building next url"
- Do not ignore 'fields' query parameter when building next url

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Update sushy library version"
- Update sushy library version

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Minor string formatting follow-up to idrac jbod patch"
- Minor string formatting follow-up to idrac jbod patch

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Fix EFIBOOT image upload in devstack"
- Fix EFIBOOT image upload in devstack

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "DRAC: Drives conversion from JBOD to RAID"
- Merge "Change MTU logic to allow for lower MTUs automatically"
- DRAC: Drives conversion from JBOD to RAID
- Change MTU logic to allow for lower MTUs automatically

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Read in non-blocking fashion when starting console"
- Read in non-blocking fashion when starting console

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Document systemd-nspawn as a nice trick for patching a ramdisk

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Setup ipa-builder before building ramdisk

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix drive sensors collection in `redfish` mgmt interface

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add Redfish vmedia boot interface to idrac HW type"
- Add Redfish vmedia boot interface to idrac HW type

* Fri Oct 11 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Documentation for iLO hardware type deploy steps"
- Merge "DRAC: Fix a bug for delete_config with multiple controllers"
- Documentation for iLO hardware type deploy steps
- DRAC: Fix a bug for delete_config with multiple controllers

* Fri Oct 11 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "DRAC: Fix a bug for clear_job_queue clean step with non-BIOS pending job"
- DRAC: Fix a bug for clear_job_queue clean step with non-BIOS pending job

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "enable_python3_package should not be necessary anymore"
- enable_python3_package should not be necessary anymore

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- ironic-tempest-functional-python3 unused variables

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "grub configuration should use user kernel & ramdisk"
- grub configuration should use user kernel & ramdisk

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Raising minimum version of oslo.db"
- Raising minimum version of oslo.db

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Fix devstack installation failure"
- Fix devstack installation failure

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Use correct function to stop service"
- Use correct function to stop service

* Thu Oct 03 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add a CI job with a DIB-built ramdisk"
- Add a CI job with a DIB-built ramdisk

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "DRAC: Fix a bug for job creation when only required"
- DRAC: Fix a bug for job creation when only required

